> For the complete documentation index, see [llms.txt](https://api-portal.novapost.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-portal.novapost.com/changelog-1/documentation-1/vidobrazhennya-rozbivki-cini-dlya-endpointiv-kalkulyaciyi-vartosti-dostavki.md).

# Відображення розбивки ціни для ендпойнтів калькуляції вартості доставки

### Загальна інформація <a href="#general-information" id="general-information"></a>

| **Назва методу** | Shipment calculation                                                                                                                                                                                                   |
| ---------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **HTTP Метод**   | POST                                                                                                                                                                                                                   |
| **Роути**        | <p><code>/v.1.0/shipments/calculations</code><br>+<br><code>/mobileapp/v.1.1/shipments/calculations</code><br><code>/ui/v.1.0/shipments/calculations</code> <br><code>/ui/site/v.1.0/shipments/calculations</code></p> |
| **Тип зміни**    | existing endpoint update                                                                                                                                                                                               |

### Опис <a href="#description" id="description"></a>

Для кінцевих точок розрахунку відвантаження

1. **client API** – `POST /v.1.0/shipments/calculations`,
2. **mobile app and frames** – `POST /mobileapp/v.1.1/shipments/calculations`, `POST /ui/v.1.0/shipments/calculations`, `POST /ui/site/v.1.0/shipments/calculations`,\
   \
   Логіку розширено, щоб забезпечити повний розподіл вартості доставки за допомогою методу розрахунку. Система також відобразить загальну суму вартості та тип доставки у відповіді.

&#x20;

**Request example** (API GW): standard calculation request (<https://api.novapost.com/developers/index.html#post-/shipments/calculations>)

<details>

<summary><strong>Response example</strong> (API GW):</summary>

`{`\
`"sender": {`\
`"countryCode": "UA",`\
`"settlementId": "8d5a980d-391c-11dd-90d9-001a92567626",`\
`"divisionId": "f3c1a7e2-4b12-11ee-bd3e-005056b24375"`\
`},`\
`"recipient": {`\
`"countryCode": "US",`\
`"settlementId": null,`\
`"divisionId": null`\
`},`\
`"services": [`\
`{`\
`"deliveryType": "6bea022e-f54a-11f0-be72-005056bd6036",`\
`"deliveryTypeName": "economy"`\
`"price": 520,`\
`"discount": 0,`\
`"cost": 520, -------------> ЗАГАЛЬНА ВАРТІСТЬ`\
`"items": [`\
`{`\
`"shipmentId": null,`\
`"shipmentParcelRowNumber": 1,`\
`"serviceId": "11111111-dcd7-11e8-ad0d-005056b24375",`\
`"serviceType": "Additional",`\
`"serviceName": "Коробка (5 кг) з наповнювачем",`\
`"serviceCode": "BOX5",`\
`"amount": 1,`\
`"contractNumber": null,`\
`"payerType": "ThirdPerson",`\
`"paymentStatus": "NeedPay",`\
`"divisionId": "f3c1a7e2-4b12-11ee-bd3e-005056b24375",`\
`"price": 50,`\
`"discount": 0,`\
`"cost": 50, -------------> РОЗБИВКА ВАРТОСТІ`\
`"user": "system",`\
`"shipmentLockVersion": null,`\
`"additionalParameters": null,`\
`"currencyCode": "UAH",`\
`"createdAt": "2026-02-17T14:16:48.567666Z",`\
`"updatedAt": "2026-02-17T14:16:48.567666Z",`\
`"deliveryType": "6bea022e-f54a-11f0-be72-005056bd6036",`\
`"deliveryTypeName": "economy"`\
`},`\
`{`\
`"shipmentId": null,`\
`"shipmentParcelRowNumber": 1,`\
`"serviceId": "22222222-dcd7-11e8-ad0d-005056b24375",`\
`"serviceType": "Insurance",`\
`"serviceName": "Страхування відправлення (до 10 000 грн)",`\
`"serviceCode": "INS10",`\
`"amount": 1,`\
`"contractNumber": null,`\
`"payerType": "ThirdPerson",`\
`"paymentStatus": "NeedPay",`\
`"divisionId": null,`\
`"price": 470,`\
`"discount": 0,`\
`"cost": 470, -------------> РОЗБИВКА ВАРТОСТІ`\
`"user": "system",`\
`"shipmentLockVersion": null,`\
`"additionalParameters": {`\
`"insuredAmount": 10000`\
`},`\
`"currencyCode": "UAH",`\
`"createdAt": "2026-02-17T14:16:48.567666Z",`\
`"updatedAt": "2026-02-17T14:16:48.567666Z",`\
`"deliveryType": "6bea022e-f54a-11f0-be72-005056bd6036",`\
`"deliveryTypeName": "economy"`\
`}`\
`]`\
`}`\
`]`

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-portal.novapost.com/changelog-1/documentation-1/vidobrazhennya-rozbivki-cini-dlya-endpointiv-kalkulyaciyi-vartosti-dostavki.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
